FreeMat

- Main Page
- Related Pages

vtkPolygonalHandleRepresentation3D

Section: Visualization Toolkit Widget Classes

# Usage

This class serves as the geometrical representation of a vtkHandleWidget. The handle can be represented by an arbitrary polygonal data (vtkPolyData), set via SetHandle(vtkPolyData *). The actual position of the handle will be initially assumed to be (0,0,0). You can specify an offset from this position if desired.

To create an instance of class vtkPolygonalHandleRepresentation3D, simply invoke its constructor as follows

      obj = vtkPolygonalHandleRepresentation3D

# Methods

The class vtkPolygonalHandleRepresentation3D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPolygonalHandleRepresentation3D class.

- `string = obj.GetClassName ()` - Standard methods for instances of this class.
- `int = obj.IsA (string name)` - Standard methods for instances of this class.
- `vtkPolygonalHandleRepresentation3D = obj.NewInstance ()` - Standard methods for instances of this class.
- `vtkPolygonalHandleRepresentation3D = obj.SafeDownCast (vtkObject o)` - Standard methods for instances of this class.
- `obj.SetWorldPosition (double p[3])` - Set the position of the point in world and display coordinates.
- `obj.SetOffset (double , double , double )` - Set/get the offset of the handle position with respect to the handle center, assumed to be the origin.
- `obj.SetOffset (double a[3])` - Set/get the offset of the handle position with respect to the handle center, assumed to be the origin.
- `double = obj. GetOffset ()` - Set/get the offset of the handle position with respect to the handle center, assumed to be the origin.